Subject: LDP - TCP MD5 digest support

From: "Manikantan S" <[email-masked]>
Date: Mon, 9 Oct 2000 16:51:13 +0530

Hello

can someone clarify the following doubt(s).

TCP MD5 signature option has been suggested for providing security to the
LDP-TCP sessions in the LDP draft. A reference to RFC 2385 (Protection of
BGP Sessions via the TCP MD5 Signature Option) has also been made.

My doubt/confusions are

1) Is the MD5 digest calculation to be done at the TCP level? (I assume it
is not to be done at the LDP level, as the entire set of TCP Options - if
any, that will appear in the TCP header will not be known at the LDP level)

2) If the digest is to be done at the TCP level, is there a standard socket
option which will enable the MD5 option to be enabled and to pass on the
password information too associated with the Session?

Thanks in advance
with best regards
mani